(function() {
    tinymce.create("tinymce.plugins.designhubz_plugin", {

        // url argument holds the absolute url of our plugin directory
        init : function(ed, url) {

            // add new button    
            ed.addButton("designhubz_button", {
                title : "Embed DesignHubz URL",
                cmd : "designhubz_command",
                image : "https://3d-vr.designhubz.com/favicon.ico"
            });

            // button functionality.
            ed.addCommand("designhubz_command", function() {
                var selected_text = ed.selection.getContent() || prompt ('Enter the URL') || '';
                if (selected_text.length) {
                    var return_text = "[designhubz src=\"" + selected_text + "\" width=\"100%\" height=\"500\"]";
                    ed.execCommand("mceInsertContent", 0, return_text);
                }
            });

        },

        createControl : function(n, cm) {
            return null;
        },

        getInfo : function() {
            return {
                longname : "DesignHubz Button",
                author : "makc",
                version : "1"
            };
        }
    });

    tinymce.PluginManager.add("designhubz_plugin", tinymce.plugins.designhubz_plugin);
})();